Class | Bio::SOSUI::Report::TMH
In: | lib/bio/appl/sosui/report.rb
Parent: | Object

# Bio::SOSUI::Report::TMH

Container class for transmembrane helix information.

     TM 1   31-  53 SECONDARY   HIRMTFLRKVYSILSLQVLLTTV

### Methods

new

### Attributes

grade | [R] | Retruns ``PRIMARY’’ or ``SECONDARY’’ of helix.
range | [R] | Returns aRng of transmembrane helix
sequence | [R] | Returns the sequence. of transmembrane helix.

### Public Class methods

new(range, grade, sequence)

Sets values.

[Source]

        # File lib/bio/appl/sosui/report.rb, line 87
    87:         def initialize(range, grade, sequence)
    88:           @range = range
    89:           @grade = grade
    90:           @sequence = sequence
    91:         end

[Validate]